cURL
curl --request GET \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/private-endpoint-connections \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"connections": [
{
"cloud": "AWS",
"cloud_provider": "AWS",
"endpoint_id": "2w543-45643-323fd",
"endpoint_service_id": "34t-4t446-876bm",
"region": "us-east-1",
"service_name": "com.vpc-serv1",
"status": "STATUS_AVAILABLE"
}
]
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}List all connections to a cluster's private endpoint service.
Can be used by the following roles assigned at the organization, folder or cluster scope:
- CLUSTER_ADMIN
- CLUSTER_OPERATOR_WRITER
GET
/
api
/
v1
/
clusters
/
{cluster_id}
/
networking
/
private-endpoint-connections
cURL
curl --request GET \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/private-endpoint-connections \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"connections": [
{
"cloud": "AWS",
"cloud_provider": "AWS",
"endpoint_id": "2w543-45643-323fd",
"endpoint_service_id": "34t-4t446-876bm",
"region": "us-east-1",
"service_name": "com.vpc-serv1",
"status": "STATUS_AVAILABLE"
}
]
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}This endpoint is in Preview and subject to change. Refer to the API support policy for more details.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
cluster_id is the ID for the cluster.
Response
A successful response.
Connections is a list of private endpoints.
Show child attributes
Show child attributes

